Batch Patch Customer Resources
curl --request PATCH \
--url https://api.embedreach.com/api/resources/customers/batch \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
{
"customerId": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailOptOut": true,
"smsOptOut": true,
"customerDetailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.embedreach.com/api/resources/customers/batch"
payload = { "resources": [
{
"customerId": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailOptOut": True,
"smsOptOut": True,
"customerDetailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
resources: [
{
customerId: '<string>',
email: '<string>',
phone: '<string>',
firstName: '<string>',
lastName: '<string>',
emailOptOut: true,
smsOptOut: true,
customerDetailUrl: '<string>',
createdAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.embedreach.com/api/resources/customers/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"message": "<string>",
"recordCount": 123,
"schemaDefinitionId": "<string>"
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Batch Patch Customer Resources
Patches multiple customer resources in a single batch via the event processor for asynchronous processing.
PATCH
/
api
/
resources
/
customers
/
batch
Batch Patch Customer Resources
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
An array of partial customer resources to patch
Show child attributes
Show child attributes
⌘I